#pragma once
#include "B4RDefines.h"
#include "WifiManager.h"

namespace B4R
{
	//~Version: 1.7
	//~Author - Alberto Iglesias (alberto@visualnet.inf.br)
	//~shortname: captive
	//Captive Portal for Arduino
	class B4RCaptive
	{
		private:
			WiFiManager wifiManager;

		public:
			/**
			*Start Captive Portal
			*Returns nothing
			*/
			bool Initialize(B4RString* apName, B4RString* apPassword);

			void resetSettings();

			void setDebugOutput(bool pOn);

	};
}